For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assets

Digital asset storage and management.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
filestring · binaryRequired
Responses
201Success

No content

post/assets
POST /apis/v2/assets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
201Success

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
assetIdstringRequiredExample: aa27a2ae-8235-426d-91ad-6e30cb494b2b
Responses
200

Returns an Asset

application/json
idstringRequired
createdAtstring · date-timeRead-onlyRequired
originalNamestringRead-onlyRequired
mimestringRead-onlyRequired
sizenumberRead-onlyRequired
urlstringRead-onlyRequired
get/assets/{assetId}
GET /apis/v2/assets/{assetId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an Asset

{
  "id": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "originalName": "text",
  "mime": "text",
  "size": 1,
  "url": "text"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
assetIdstringRequiredExample: aa27a2ae-8235-426d-91ad-6e30cb494b2b
Responses
200

Returns an Image

application/json
idstringRequired
get/assets/{assetId}/picture
GET /apis/v2/assets/{assetId}/picture HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an Image

{
  "id": "text",
  "small": {
    "href": "text"
  },
  "medium": {
    "href": "text"
  },
  "large": {
    "href": "text"
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?